#!/bin/bash
# ------------------------------------------------------------------------------ 
# Used from inside Apache to send notifications about suspect IPs
# that are blocked (mod_evasive)
# ------------------------------------------------------------------------------ 

. /etc/apache2-epages/envvars

BLOCKED_IP=$1
HOSTNAME=$(hostname -f)

PROJECT=$APACHE_INSTANCE
EMAIL=${APACHE_ADMIN_MAIL:-root@localhost}
mail -s "$HOSTNAME: HTTP BLACKLIST $BLOCKED_IP" $EMAIL <<MAIL 
Host    : $HOSTNAME
Project : $PROJECT 

Following IP caused excessive traffic and was blocked. You should consider blocking
this IP in front of the webserver (e.g. by NLB or external firewall)

$BLOCKED_IP
MAIL
